/*
 * PROGRAM:
 * vtkcellgen
 * 
 * AUTHOR:
 * Soeren Gebbert
 * soerengebbert <at> googlemail.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *
 * The GNU General Public License is available here:
 * http://www.gnu.org/licenses/gpl.txt
 * 
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "globals.h"

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
int
main (int argc, char **argv)
{
  FILE *out;
  parameters *params;

  /*parse the arguments and set the parameter */
  params = parse_parameter (argc, argv);

  /*open file */
  if (params->filename != NULL)
    {
      if (!(out = fopen (params->filename, "w+")))
	{
	  fprintf (stderr, "Unable to open file %s\n", params->filename);
	  exit (-1);
	}
    }
  else
    {
      out = stdout;
    }

  /*the header */
  print_ugrid_header (out);
   /*points */
  print_ugrid_points (out, params);
  /*cells */
  print_ugrid_cells (out, params);
  /*point data, scalars, vectors, tensors */
  print_ugrid_point_data (out, params);
  /*cell data, scalars, vectors, tensors */
  print_ugrid_cell_data (out, params);

  if(params)
     free(params);

  return 0;
}

